classification
Title: elementtree tests do not include bytes handling
Type: behavior Stage: resolved
Components: Tests, XML Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, amaury.forgeotdarc, effbot, eli.bendersky, pitrou, santoso.wijaya, serhiy.storchaka
Priority: normal Keywords:

Created on 2008-08-18 16:57 by pitrou, last changed 2013-08-03 22:19 by eli.bendersky. This issue is now closed.

Messages (4)
msg71351 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-08-18 16:57
In py3k, there should be explicit tests for byte string input (in
addition to unicode input) to elementtree's parser, including non-UTF8
encodings and non-ASCII chars.
msg109653 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-07-09 01:06
Have the tests been incorporated into py3k so this can be closed, or is it still valid?
msg111160 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2010-07-22 10:03
test_xml_etree.py has some tests about bytes input (check_issue6233) but these are only working cases.  Tests with wrong encodings should be added.
msg194059 - (view) Author: Eli Bendersky (eli.bendersky) * (Python committer) Date: 2013-08-01 12:44
Quite a bit of encoding-related tests were added recently (by Serhiy, IIRC). Unless there are objections or more specific test suggestions, I will close this issue in a few days.
History
Date User Action Args
2013-08-03 22:19:11eli.benderskysetstatus: open -> closed
resolution: fixed
stage: resolved
2013-08-01 12:44:52eli.benderskysetmessages: + msg194059
2013-07-06 06:47:17serhiy.storchakasetnosy: + eli.bendersky, serhiy.storchaka
2013-07-06 00:42:00christian.heimessetversions: + Python 3.4, - Python 3.0, Python 3.1, Python 3.2
2011-03-11 01:22:41santoso.wijayasetnosy: + santoso.wijaya

versions: + Python 3.1, Python 3.2, Python 3.3
2010-07-22 10:03:57amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg111160
2010-07-09 01:06:30BreamoreBoysetnosy: + BreamoreBoy
messages: + msg109653
2008-08-18 16:57:48pitroucreate